Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0006190 [JEDI VCL] 00 JVCL Components feature N/A 2013-08-22 16:38 2015-09-14 13:20
Reporter frank_jepsen View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version Daily / GIT
Summary 0006190: Reorganize Columns in Select Columns Dialog of TJvDBGrid
Description This is no bug report but a patch for a new feature.

Normally you can only select the visible columns in JvDBGridSelectColumnForm. I thought it would also be nice to be able to reorganize columns in this dialog. It is much easier and clearer to do it here than by moving grid title buttons one by one in a broad grid spanning multiple screens.
The attached files change the normal behavier of the dialog as Follows:
- Column movement is only active in scGrid mode. In scDatabase it makes no sense. Also dgColumnResize must be in JvDBGrid.Options as it activates column movement
- Columns can be moved up or down with dragging the mouse. The list autoscrolls when the mouse points at the first or last visible item
- With Ctrl-Click, Shift-Click or Shift-Up/Shift-Down multiple columns can be selected and then moved together
- You can also move columns with Ctrl-Up/Ctrl-Down
- Between the minimum of 6 rows and the maximum of 30 rows the size of the dialog will fit automatically
- The size of the dialog is adjusted so that all rows in the list are fully visible

Feel free to use it or include it in JVCL.

Bye Frank
Additional Information
Tags No tags attached.
Attached Files zip file icon JvDBGridSelectColumnForm.zip [^] (5,303 bytes) 2013-08-22 16:38

- Relationships

There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2013-08-22 16:38 frank_jepsen New Issue
2013-08-22 16:38 frank_jepsen File Added: JvDBGridSelectColumnForm.zip
2013-12-13 11:02 obones Status new => acknowledged
2013-12-13 15:00 obones Status acknowledged => resolved
2013-12-13 15:00 obones Fixed in Version => Daily / GIT
2013-12-13 15:00 obones Resolution open => fixed
2013-12-13 15:00 obones Assigned To => obones
2015-09-14 13:20 obones Fixed in Version Daily / GIT => 3.48


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker